Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class XWPFNum

    java.lang.Object
      org.apache.poi.xwpf.usermodel.XWPFNum

    public class XWPFNum

extends java.lang.Object

Author:
  Philipp Epp

Field Summary
`protected XWPFNumbering` | `numbering`

Constructor Summary
`XWPFNum()`
`XWPFNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum)`
`XWPFNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum, XWPFNumbering numbering)`
`XWPFNum(XWPFNumbering numbering)`

Method Summary
`org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum` | `getCTNum()`
`XWPFNumbering` | `getNumbering()`
`void` | `setCTNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum)`
`void` | `setNumbering(XWPFNumbering numbering)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numbering

    protected XWPFNumbering numbering

Constructor Detail

### XWPFNum

    public XWPFNum()

### XWPFNum

    public XWPFNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum)

### XWPFNum

    public XWPFNum(XWPFNumbering numbering)

### XWPFNum

    public XWPFNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum,
                   XWPFNumbering numbering)

Method Detail

### getNumbering

    public XWPFNumbering getNumbering()

### getCTNum

    public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum getCTNum()

### setNumbering

    public void setNumbering(XWPFNumbering numbering)

### setCTNum

    public void setCTNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.